BizKitHub
DocsAPI ReferenceLedger/bff/ledger/settings/money-account/create-from-source
postLedgerAdmin BFF

/bff/ledger/settings/money-account/create-from-source

Create money accounts for suggested bank accounts / gateways

LedgerpostBffLedgerSettingsMoney-accountCreate-from-source

Parameters

JSON body

Request body

application/json
sourcesobject[]Required
Each array item:
kind"bank_account" | "gateway_instance"Required
keystringRequired
Length: 1–64
entityIdstring | nullOptional
One of 2:
Variant 1
string

Accounting entity external id.

Length: 16–24
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired
createdCountnumberRequired

Response example

application/json
{
  "success": false,
  "createdCount": 0
}

Request example

POST /bff/ledger/settings/money-account/create-from-source

post
curl -X POST "https://api.bizkithub.com/bff/ledger/settings/money-account/create-from-source" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "sources": [
    {
      "key": "example_key"
    }
  ]
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key